Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class RemoteClientInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.MicroRemoteClientInvoker
              org.jboss.remoting.RemoteClientInvoker

All Implemented Interfaces:
  Invoker, ClientInvoker

Direct Known Subclasses:
  HTTPClientInvoker, MicroSocketClientInvoker, RMIClientInvoker

    public abstract class RemoteClientInvoker

extends MicroRemoteClientInvoker

This class extends the MicroRemoteClientInvoker and adds extra functionality that can not be included in a J2ME envrionment, such as setting socket factories.

Version:
  $Revision: 1440 $
Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connected`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`RemoteClientInvoker(InvokerLocator locator)`
`RemoteClientInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary

Methods inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connect, disconnect, establishLease, finalize, getDefaultDataType, getLeasePeriod, getMarshaller, getSessionId, getUnMarshaller, handleConnect, handleDisconnect, invoke, isConnected, postProcess, preProcess, setMarshaller, setUnMarshaller, terminateLease, transport`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.ClientInvoker
`addClientLocator, getClientLocator, getClientLocators, getSocketFactory, setSocketFactory`

Methods inherited from interface org.jboss.remoting.Invoker
`getLocator`

Constructor Detail

### RemoteClientInvoker

    public RemoteClientInvoker(InvokerLocator locator)

### RemoteClientInvoker

    public RemoteClientInvoker(InvokerLocator locator,
                               java.util.Map configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.